NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.DefineCamBuilder Class Reference

Represents a NXOpen.Tooling.DefineCamBuilder to create different types of cam objects, which are used for kinematic motion More...

Inheritance diagram for NXOpen.Tooling.DefineCamBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PredefinedHydraulicOptions { None, BeforeMoldOpen, BeforeEjection }
 Specifies the predefined hydraulic motion types More...
 
enum  Types { LinearCam, RotaryCam, RockerCam, CushionProgram }
 Specifies the cam types More...
 

Public Member Functions

unsafe void DeleteCushion (string cushionName)
 Delete the cushion More...
 
unsafe void DeleteLinearCam (string camName)
 Delete the linear cam More...
 
unsafe void DeleteRockerCam (string camName)
 Delete the rocker cam More...
 
unsafe void DeleteRotaryCam (string camName)
 Delete the rotary cam More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe string CamName [get, set]
 Returns or sets the cam name More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
CushionBody [get]
 Returns the cushion body, actually, it often is the bolster body to do the kinematic motion More...
 
unsafe NXOpen.Direction CushionDirection [get, set]
 Returns or sets the cushion direction that the cushion body moves along More...
 
unsafe string CushionName [get, set]
 Returns or sets the cushion name More...
 
unsafe NXOpen.Expression LinearBackstopOffset [get]
 Returns the linear backstop offset value, which affects the initial position of linear cam body More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
LinearCamBodies [get]
 Returns the linear cam body More...
 
unsafe NXOpen.Direction LinearDirection [get, set]
 Returns or sets the linear direction is the direction linear cam body move offset along More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
LinearDriveBodies [get]
 Returns the linear drive body which drives the linear body More...
 
unsafe double MotionDistance [get, set]
 Returns or sets the motion distance More...
 
unsafe
NXOpen.Tooling.DefineCamBuilder.PredefinedHydraulicOptions 
PredefinedHydraulicOption [get, set]
 Returns or sets the hydraulic motion More...
 
unsafe double PressStartAngle [get, set]
 Returns or sets the press start angle More...
 
unsafe double PressStopAngle [get, set]
 Returns or sets the press stop angle More...
 
unsafe double ReturnStartAngle [get, set]
 Returns or sets the return start angle More...
 
unsafe double ReturnStopAngle [get, set]
 Returns or sets the return stop angle More...
 
unsafe NXOpen.Expression RockerAxisBackstopOffset [get]
 Returns the rocker axis backstop offset, which affects the initial position of rocker body More...
 
unsafe NXOpen.Axis RockerAxisDirection [get, set]
 Returns or sets the rocker axis direction that the rocker body rotates around More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
RockerCamBodies [get]
 Returns the rocker cam body More...
 
unsafe NXOpen.Direction RockerCamDirection [get, set]
 Returns or sets the rocker cam direction that the cam body moves along More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
RockerCamRockerBodies [get]
 Returns the rocker body of rocker cam More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
RockerDriveBodies [get]
 Returns the rocker drive body which drives the rotary body of rocker cam More...
 
unsafe NXOpen.Expression RotaryBackstopOffset [get]
 Returns the rotary backstop offset, which affects the initial position of rotary cam body More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
RotaryCamBodies [get]
 Returns the rotary cam body More...
 
unsafe NXOpen.Axis RotaryDirection [get, set]
 Returns or sets the rotary direction that the rotary body rotates around More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
RotaryDriveBodies [get]
 Returns the rotary drive body which drives the rotary body More...
 
unsafe
NXOpen.Tooling.DefineCamBuilder.Types 
Type [get, set]
 Returns or sets the define cam type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.DefineCamBuilder to create different types of cam objects, which are used for kinematic motion

To create a new instance of this class, use NXOpen.Tooling.ProgressiveDieManager.CreateDefineCamBuilder

Default values.

Property Value

LinearBackstopOffset.Value

0 (millimeters part), 0 (inches part)

MotionDistance

0

PredefinedHydraulicOption

None

PressStartAngle

0

PressStopAngle

90

ReturnStartAngle

180

ReturnStopAngle

270

RockerAxisBackstopOffset.Value

0 (millimeters part), 0 (inches part)

RotaryBackstopOffset.Value

0 (millimeters part), 0 (inches part)

Created in NX10.0.0

Member Enumeration Documentation

Specifies the predefined hydraulic motion types

Enumerator
None 

No hydraulic motion defined

BeforeMoldOpen 

Hydraulic motion before mold open

BeforeEjection 

Hydraulic motion before ejection

Specifies the cam types

Enumerator
LinearCam 

Linear cam type

RotaryCam 

Rotary cam types

RockerCam 

Rocker cam types

CushionProgram 

Cushion Program cam type

Member Function Documentation

unsafe void NXOpen.Tooling.DefineCamBuilder.DeleteCushion ( string  cushionName)
inline

Delete the cushion

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
cushionName
unsafe void NXOpen.Tooling.DefineCamBuilder.DeleteLinearCam ( string  camName)
inline

Delete the linear cam

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
camName
unsafe void NXOpen.Tooling.DefineCamBuilder.DeleteRockerCam ( string  camName)
inline

Delete the rocker cam

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
camName
unsafe void NXOpen.Tooling.DefineCamBuilder.DeleteRotaryCam ( string  camName)
inline

Delete the rotary cam

Created in NX10.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
camName

Property Documentation

unsafe string NXOpen.Tooling.DefineCamBuilder.CamName
getset

Returns or sets the cam name

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.CushionBody
get

Returns the cushion body, actually, it often is the bolster body to do the kinematic motion

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.DefineCamBuilder.CushionDirection
getset

Returns or sets the cushion direction that the cushion body moves along

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.DefineCamBuilder.CushionName
getset

Returns or sets the cushion name

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.DefineCamBuilder.LinearBackstopOffset
get

Returns the linear backstop offset value, which affects the initial position of linear cam body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.LinearCamBodies
get

Returns the linear cam body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.DefineCamBuilder.LinearDirection
getset

Returns or sets the linear direction is the direction linear cam body move offset along

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.LinearDriveBodies
get

Returns the linear drive body which drives the linear body

Created in NX10.0.0

License requirements: None.

unsafe double NXOpen.Tooling.DefineCamBuilder.MotionDistance
getset

Returns or sets the motion distance

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.DefineCamBuilder.PredefinedHydraulicOptions NXOpen.Tooling.DefineCamBuilder.PredefinedHydraulicOption
getset

Returns or sets the hydraulic motion

Created in NX10.0.3

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.DefineCamBuilder.PressStartAngle
getset

Returns or sets the press start angle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.DefineCamBuilder.PressStopAngle
getset

Returns or sets the press stop angle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.DefineCamBuilder.ReturnStartAngle
getset

Returns or sets the return start angle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.DefineCamBuilder.ReturnStopAngle
getset

Returns or sets the return stop angle

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.DefineCamBuilder.RockerAxisBackstopOffset
get

Returns the rocker axis backstop offset, which affects the initial position of rocker body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.Tooling.DefineCamBuilder.RockerAxisDirection
getset

Returns or sets the rocker axis direction that the rocker body rotates around

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.RockerCamBodies
get

Returns the rocker cam body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Tooling.DefineCamBuilder.RockerCamDirection
getset

Returns or sets the rocker cam direction that the cam body moves along

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.RockerCamRockerBodies
get

Returns the rocker body of rocker cam

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.RockerDriveBodies
get

Returns the rocker drive body which drives the rotary body of rocker cam

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.DefineCamBuilder.RotaryBackstopOffset
get

Returns the rotary backstop offset, which affects the initial position of rotary cam body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.RotaryCamBodies
get

Returns the rotary cam body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Axis NXOpen.Tooling.DefineCamBuilder.RotaryDirection
getset

Returns or sets the rotary direction that the rotary body rotates around

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Tooling.DefineCamBuilder.RotaryDriveBodies
get

Returns the rotary drive body which drives the rotary body

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Tooling.DefineCamBuilder.Types NXOpen.Tooling.DefineCamBuilder.Type
getset

Returns or sets the define cam type

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.